Subject: Re: bug#70041: 30.0.50; mouse-autoselect-window causes unexpected scroll

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Mar 2024 08:53:45 +0200

> From: Deric Bytes <[email-masked]>
> Date: Wed, 27 Mar 2024 23:16:26 +0000
> 
> Expected behavour:
> 
> Run the code below in emacs -Q.  The 'my-buf' buffer should be showing 
> the start of the buffer with contents of directory listing.
> 
> Actual behaviour:
> 
> The buffer appears empty, until buffer interaction. Page has scrolled to end and 
> content dissappeared from sight even though the whole content can fit into the buffer.
> 
> The expected behaviour happens when `mouse-autoselect-window' has it's
> default setting.

I cannot reproduce this here, FWIW.  I get the expected behavior
without any "buffer interaction".  But I'm not using the GTK+ build of
Emacs, and I did need to modify the recipe to use a remote directory I
can actually access (instead of "/scpx:[email-masked]:"), and
used start-file-process-shell-command to avoid the need to specify the
shell's file name explicitly.  Here's the recipe I tested:

  (let ((shell-cmd "ls -la")
	(output-buffer "my-buf")
	(default-directory <REDACTED>)
	(process-name "my-proc"))
    (start-file-process-shell-command
     process-name
     (get-buffer-create output-buffer)
     shell-cmd)
    (switch-to-buffer output-buffer)
    (with-current-buffer output-buffer
      (goto-char (point-min))
      (find-file-other-window "ooo")))

With the above recipe, I see the end of the listing (which is longer
than the window in my case).  This is what I'd expect.

Can someone who uses the GTK build of the master branch reproduce the
problematic behavior?